## org.hibernate.metamodel.source.annotations.attribute
Class ColumnValues

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.ColumnValues

    public class ColumnValues

extends Object

Container for the properties defined by `Column`.

Constructor Summary
`ColumnValues(org.jboss.jandex.AnnotationInstance columnAnnotation)`

Method Summary
`boolean` `equals(Object o)`
`String` `getColumnDefinition()`
`int` `getLength()`
`String` `getName()`
`int` `getPrecision()`
`int` `getScale()`
`String` `getTable()`
`int` `hashCode()`
`boolean` `isInsertable()`
`boolean` `isNullable()`
`boolean` `isUnique()`
`boolean` `isUpdatable()`
`void` `setColumnDefinition(String columnDefinition)`
`void` `setInsertable(boolean insertable)`
`void` `setLength(int length)`
`void` `setName(String name)`
`void` `setNullable(boolean nullable)`
`void` `setPrecision(int precision)`
`void` `setScale(int scale)`
`void` `setTable(String table)`
`void` `setUnique(boolean unique)`
`void` `setUpdatable(boolean updatable)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColumnValues

    public ColumnValues(org.jboss.jandex.AnnotationInstance columnAnnotation)

Method Detail

### getName

    public final String getName()

### isUnique

    public final boolean isUnique()

### isNullable

    public final boolean isNullable()

### isInsertable

    public final boolean isInsertable()

### isUpdatable

    public final boolean isUpdatable()

### getColumnDefinition

    public final String getColumnDefinition()

### getTable

    public final String getTable()

### getLength

    public final int getLength()

### getPrecision

    public final int getPrecision()

### getScale

    public final int getScale()

### setName

    public void setName(String name)

### setUnique

    public void setUnique(boolean unique)

### setNullable

    public void setNullable(boolean nullable)

### setInsertable

    public void setInsertable(boolean insertable)

### setUpdatable

    public void setUpdatable(boolean updatable)

### setColumnDefinition

    public void setColumnDefinition(String columnDefinition)

### setTable

    public void setTable(String table)

### setLength

    public void setLength(int length)

### setPrecision

    public void setPrecision(int precision)

### setScale

    public void setScale(int scale)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.